io.agora.rtc

## Class PlayerUpdatedInfo

- java.lang.Object
- - io.agora.rtc.PlayerUpdatedInfo

-     public class PlayerUpdatedInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private CacheStatistics` | `cacheStatistics`
    `private java.lang.String` | `deviceId`
    `private java.lang.String` | `playerId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayerUpdatedInfo()`
    `PlayerUpdatedInfo(java.lang.String playerId, java.lang.String deviceId, CacheStatistics cacheStatistics)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CacheStatistics` | `getCacheStatistics()`
    `java.lang.String` | `getDeviceId()`
    `java.lang.String` | `getPlayerId()`
    `void` | `setCacheStatistics(CacheStatistics cacheStatistics)`
    `void` | `setDeviceId(java.lang.String deviceId)`
    `void` | `setPlayerId(java.lang.String playerId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### playerId

          private java.lang.String playerId

    - #### deviceId

          private java.lang.String deviceId

    - #### cacheStatistics

          private CacheStatistics cacheStatistics

  - ### Constructor Detail

    - #### PlayerUpdatedInfo

          public PlayerUpdatedInfo()

    - #### PlayerUpdatedInfo

          public PlayerUpdatedInfo(java.lang.String playerId,
                                   java.lang.String deviceId,
                                   CacheStatistics cacheStatistics)

  - ### Method Detail

    - #### getPlayerId

          public java.lang.String getPlayerId()

    - #### setPlayerId

          public void setPlayerId(java.lang.String playerId)

    - #### getDeviceId

          public java.lang.String getDeviceId()

    - #### setDeviceId

          public void setDeviceId(java.lang.String deviceId)

    - #### getCacheStatistics

          public CacheStatistics getCacheStatistics()

    - #### setCacheStatistics

          public void setCacheStatistics(CacheStatistics cacheStatistics)